// подключение библиотек
#include "GyverTM1637.h"
#include <Wire.h>
#include <DS1307RTC.h>
#include <Time.h>
#include <TimeLib.h>
// создание объекта
#define CLK 4
#define DIO 5
GyverTM1637 disp(CLK, DIO);
// переменная даты-времени
tmElements_t tm;
// служебные переменные
unsigned long millisp=0;
unsigned long millist=0;
// двоеточие
boolean flagpoint=true;

void setup() {
  // очистить дисплей
  disp.clear();
  // установить яркость 
  disp.brightness(7);  

}

void loop() {
   if(millis()-millisp>=500) {
      // разделительные точки
      flagpoint=!flagpoint;
      millisp=millis();
      // получить время
      RTC.read(tm);
      // показ инфо
      if(millis()-millist<=5000) { // секунды
         disp.point(flagpoint);
         disp.display(0, 10);
         disp.display(1, 10);
         disp.display(2, tm.Second/10);
         disp.display(3, tm.Second%10);
      }
      else if(millis()-millist<=9000) { // часы-минуты
         disp.point(flagpoint);
         disp.display(0, tm.Hour/10);
         disp.display(1, tm.Hour%10);
         disp.display(2, tm.Minute/10);
         disp.display(3, tm.Minute%10);
      }
      else if(millis()-millist<=12000) { // день-месяц
         disp.point(false);
         disp.display(0, tm.Day/10);
         disp.display(1, tm.Day%10);
         disp.display(2, tm.Month/10);
         disp.display(3, tm.Month%10);
      }
      else if(millis()-millist<=15000) { // год
         disp.point(false);
         int year1=tmYearToCalendar(tm.Year);
         disp.display(0, year1/1000);
         disp.display(1, (year1%1000)/100);
         disp.display(2, ((year1%1000)%100)/10);
         disp.display(3, ((year1%1000)%100)%10);
      }
      else {
         millist=millis(); 
      } 
   }

}

